Summary:        KWin libraries for Newstart Desktop Environment
Name:           nde-kwin
Version:        0.0.1
Release:        6%{?dist}
License:        GPLv3+
Source0:        %{name}-%{version}.tar.gz
Patch5000:      nde-kwin-cmake3-and-gcc12.patch
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  kwin-devel
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libepoxy-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  cmake(KDecoration2)
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel

%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
Requires:       libX11
Requires:       kwin


%description
This package provides a kwin libraries that used by the NewStart Desktop Environment.



%prep
%autosetup -p1



%build
%cmake
%cmake_build


%install
%cmake_install



%files
%license LICENSE
%doc CHANGELOG.md
%{_libdir}/libkwinutils.so
%{_libdir}/libkwinutils.so.*
%{_libdir}/qt5/plugins/kwin/effects/plugins/libeffects-lib.so
%dir %{_includedir}/nde-kwin
%{_includedir}/nde-kwin/kwinutils.h
%dir %{_datadir}/aurorae/themes/NdeLight
%{_datadir}/aurorae/themes/NdeLight/*
%{_datadir}/kwin/tabbox/thumbnail_grid/contents/ui/main.qml
%{_datadir}/kwin/tabbox/thumbnail_grid/metadata.desktop
%{_sysconfdir}/xdg/kwinrc


%changelog
* Fri Jan 26 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-6
- adapt for GCC 12 and cmake 3.x

* Fri Oct 9 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-5
- 添加tabbox插件

* Wed Sep 16 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-4
- 去掉窗口管理器右键菜单

* Wed Sep 9 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-3
- 添加窗口管理器主题

* Sun May 10 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-1
- rebuild (qt5)

